<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>table_dialog</class>
 <widget class="QDialog" name="table_dialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>874</width>
    <height>620</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Factory information</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout">
   <item>
    <widget class="QTabWidget" name="tab_widget">
     <property name="currentIndex">
      <number>4</number>
     </property>
     <widget class="QWidget" name="tab">
      <attribute name="title">
       <string>Material flow</string>
      </attribute>
      <layout class="QVBoxLayout" name="vertical_layout_2">
       <item>
        <widget class="QTableWidget" name="materialflow_table_widget"/>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_2">
      <attribute name="title">
       <string>Communication flow</string>
      </attribute>
      <layout class="QVBoxLayout" name="vertical_layout_3">
       <item>
        <widget class="QTableWidget" name="communicationflow_table_widget"/>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_3">
      <attribute name="title">
       <string>Machine park</string>
      </attribute>
      <layout class="QVBoxLayout" name="vertical_layout_4">
       <item>
        <widget class="QTableWidget" name="facilitiy_table_widget"/>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_4">
      <attribute name="title">
       <string>Medien</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_2">
       <item>
        <widget class="QTableWidget" name="tableWidget_media"/>
       </item>
      </layout>
     </widget>
     <widget class="QWidget" name="tab_5">
      <attribute name="title">
       <string>Umgebungsfaktoren</string>
      </attribute>
      <layout class="QVBoxLayout" name="verticalLayout_3">
       <item>
        <widget class="QTableWidget" name="tableWidget_enviroment"/>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
   <item>
    <layout class="QHBoxLayout" name="horizontalLayout_2">
     <property name="topMargin">
      <number>0</number>
     </property>
     <item>
      <widget class="QPushButton" name="add_fac_pushButton">
       <property name="enabled">
        <bool>true</bool>
       </property>
       <property name="toolTip">
        <string>A new facility can be added here.</string>
       </property>
       <property name="text">
        <string>Add Facility</string>
       </property>
       <property name="checkable">
        <bool>false</bool>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QPushButton" name="rem_fac_pushButton">
       <property name="toolTip">
        <string>All marked facilities can be deleted here.</string>
       </property>
       <property name="text">
        <string>Delete Facility</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QPushButton" name="add_media_pushButton">
       <property name="toolTip">
        <string>A new medium can be added to the factory and named here.</string>
       </property>
       <property name="text">
        <string>Add Media</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QPushButton" name="delete_media_pushButton">
       <property name="toolTip">
        <string>All marked media can be deleted here.</string>
       </property>
       <property name="text">
        <string>Delete Media</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="QDialogButtonBox" name="button_box">
       <property name="orientation">
        <enum>Qt::Horizontal</enum>
       </property>
       <property name="standardButtons">
        <set>QDialogButtonBox::Cancel|QDialogButtonBox::Save</set>
       </property>
      </widget>
     </item>
    </layout>
   </item>
  </layout>
 </widget>
 <resources/>
 <connections>
  <connection>
   <sender>button_box</sender>
   <signal>accepted()</signal>
   <receiver>table_dialog</receiver>
   <slot>accept()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>248</x>
     <y>254</y>
    </hint>
    <hint type="destinationlabel">
     <x>157</x>
     <y>274</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>button_box</sender>
   <signal>rejected()</signal>
   <receiver>table_dialog</receiver>
   <slot>reject()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>316</x>
     <y>260</y>
    </hint>
    <hint type="destinationlabel">
     <x>286</x>
     <y>274</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
